package de.stefandraeger.calcclient;

import java.awt.Font;
import java.awt.FontFormatException;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import javax.imageio.ImageIO;

public final class ResourceHelper {

	private static final String RES_IMAGES_FOLDER = "images/";
	private static final String RES_FONT_FOLDER = "font/";

	private ResourceHelper() {

	}

	public static Image getImageFromResource(String filename) {
		Image image = null;
		try {
			BufferedImage buffImage = ImageIO.read(ClassLoader.getSystemResource(RES_IMAGES_FOLDER + filename));
			image = Toolkit.getDefaultToolkit().createImage(buffImage.getSource());
		} catch (IOException e) {
			e.printStackTrace();
		}
		return image;
	}

	public static Font getFontFromResource(String filename) {
		Font font = null;
		URL url = ClassLoader.getSystemResource(RES_FONT_FOLDER + filename);
		try {
			InputStream is = url.openStream();
			font = Font.createFont(Font.TRUETYPE_FONT, is);
			font = font.deriveFont(Font.PLAIN, 18f);
		} catch (IOException e) {
			e.printStackTrace();
		} catch (FontFormatException e) {
			e.printStackTrace();
		}
		return font;
	}
}
