$( document ).ready(function() {
    $('input[type="button"]').on('click',function(){
		var elementId = $(this).attr('id');
		switch(elementId){
			case "btn0":
			case "btn1":
			case "btn2":
			case "btn3":
			case "btn4":
			case "btn5":
			case "btn6":
			case "btn7":
			case "btn8":
			case "btn9":
				addNumber(elementId);
			   break;
			case "btnClear":
				clearSummaryTextArea();
				break;
			case "btnMultiplikation":
				setAction(actionMultiplikation);
				break;
			case "btnDivision":
				setAction(actionDivision);
				break;
			case "btnAddition":
				setAction(actionAddition);
				break;
			case "btnSubtraktion":
				setAction(actionSubtraktion);
				break;
			case "btnSummary":
				callWSAction();
				break;
			default:
			   break;
		}
	});
});

var lineBreak = "\r\n";

var actionAddition = "addition";
var actionSubtraktion = "subtraktion";
var actionMultiplikation = "multiplikation";
var actionDivision = "division";

var action = null;

var zahl1 = 0;
var zahl2 = 0;

function addNumber(elementId){
	var number = $("#"+elementId).data("number");
	var textAreaText = $("#textAreaSummary").val();
	textAreaText += number;
	$("#textAreaSummary").val(textAreaText);
	
	if(action != null){
		zahl1 = ""+zahl1+number;
	} else {
		zahl2 = ""+zahl2+number;
	}
	
}

function clearSummaryTextArea(){
	$("#textAreaSummary").val("");
	zahl1 = 0;
	zahl2 = 0;
	action = null;
}

function setAction(inAction){
	action = inAction;
	var sign = "-undefined-";
	switch(action){
		case actionAddition: sign = "+"; break;
		case actionSubtraktion: sign = "-"; break;
		case actionMultiplikation: sign = "*"; break;
		case actionDivision: sign = "/"; break;
		default: break;
	}
	addSign(sign);
}

function callWSAction(){
	addSign("=");
	var address = "-undefined-";
	switch(action){
		case actionAddition: address = "http://localhost:8080/addition"; break;
		case actionSubtraktion: address = "http://localhost:9090/subtraktion"; break;
		case actionMultiplikation:  address = "http://localhost:6060/multiplikation"; break;
		case actionDivision: address = "http://localhost:7070/division"; break;
		default: break;
	}
	
	address += "?zahl1="+zahl1+"&zahl2="+zahl2;
	$.ajax({
		type: 'GET',
		url: address,
		crossDomain: true,
		data: "my_request_is=foo",
		dataType: 'json',
		})
		.done(function( msg ) {
			var textAreaText = $("#textAreaSummary").val();
			textAreaText += msg.content;
			$("#textAreaSummary").val(textAreaText);
		})
		.fail(function( msg ) {
			alert(msg.statusText );
		});
}

function addSign(sign){
	var textAreaText = $("#textAreaSummary").val();
	textAreaText += lineBreak+sign+lineBreak;
	$("#textAreaSummary").val(textAreaText);
}
