package de.stefandraeger.addition;

import java.util.concurrent.atomic.AtomicLong;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

import com.codahale.metrics.annotation.Timed;
import com.google.common.base.Optional;

@Path("/addition")
@Produces(MediaType.APPLICATION_JSON)
public class Resource {
	private final int zahl1;
	private final int zahl2;
	private final AtomicLong counter;

	public Resource( int zahl1, int zahl2) {
		this.zahl1 = zahl1;
		this.zahl2 = zahl2;
		this.counter = new AtomicLong();
	}

	@GET
	@Timed
	public AdditionCalc calc(@QueryParam("zahl1") Optional<Integer> inZahl1,
			@QueryParam("zahl2") Optional<Integer> inZahl2) {
		final int value = inZahl1.or(this.zahl1) + inZahl2.or(this.zahl2);
		return new AdditionCalc(counter.incrementAndGet(), value);
	}

	public int getZahl1() {
		return zahl1;
	}

	public int getZahl2() {
		return zahl2;
	}

}